Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.mycarenetdomaincommons.domain
Class Identification

    java.lang.Object
      be.ehealth.business.mycarenetdomaincommons.domain.Identification

    public class Identification

extends Object

maps to the mycarenet IdType. cfr documentation from mycarenet :

     A legal entity is identified by a name (optional) and a unique number.  Currently this can be one of the following: SSIN (physical person only), NIHII (health institute only) or CBE (enterprise only).

Constructor Summary
`Identification()`
`Identification(String name)`
`Identification(String name, Nihii nihii, String ssin, String cbe)`

Method Summary
`String` | `getCbe()`
`String` | `getName()`
`Nihii` | `getNihii()`
`String` | `getSsin()`
`void` | `setCbe(String cbe)`
`void` | `setName(String name)`
`void` | `setNihii(Nihii nihii)`
`void` | `setSsin(String ssin)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Identification

    public Identification()

### Identification

    public Identification(String name)

Parameters:
  `name` -

### Identification

    public Identification(String name,
                          Nihii nihii,
                          String ssin,
                          String cbe)

Parameters:
  `nihii` -
  `ssin` -
  `cbe` -

Method Detail

### setName

    public void setName(String name)

  Parameters:
    `name` - the name to set

### getName

    public String getName()

  Returns:
    the name

### getNihii

    public Nihii getNihii()

  Returns:
    the nihii

### setNihii

    public void setNihii(Nihii nihii)

  Parameters:
    `nihii` - the nihii to set

### getSsin

    public String getSsin()

  Returns:
    the ssin

### setSsin

    public void setSsin(String ssin)

  Parameters:
    `ssin` - the ssin to set

### getCbe

    public String getCbe()

  Returns:
    the cbe

### setCbe

    public void setCbe(String cbe)

  Parameters:
    `cbe` - the cbe to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.